#!/usr/bin/env bash

set -e

nix build .#make-msys-packages

./result/bin/wfvm-run-get-msys-packages

echo "{ pkgs } : [" > msys_packages.nix
while read package; do
	hash=$(nix-prefetch-url $package)
	echo "
(pkgs.fetchurl {
  url = \"$package\";
  sha256 = \"$hash\";
})" >> msys_packages.nix
done < packages.txt
echo "]" >> msys_packages.nix

rm result getmsyspackages.bat packages.txt
